


     For(V1.0)                  ARPTOOLS Manual                  For(V1.0)



     NAME
          For - Use wildcards with commands not supporting them.

     SYNOPSIS
          For PAT/A MODE/K SVRFD DO/A Arguments/...
          
     DESCRIPTION
          The For command allow the use of any type of ARP wildcard
          with non-ARP commands. The file pattern must be supplied
          with the PAT argument, the DO argument specifies wich command
          is to be executed; Arguments/... contain the argument list
          for the command. A '%%' sequence (unquoted) must be used to
          indicate where the pattern should de expanded.
          For is most suitable for use in scripts or in conjunction
          with the Alias command.
          A CTRL-D will stop For from calling the DO command.

     OPTIONS
          Options in the MODE keyword may be combined together.             
          MODE S
                Sort expanded filenames.
          MODE V
                Verbose output: display a line containing the expanded
                command line before each execution of the DO command,
                with another line at the end showing return codes.
          MODE R
                Try to make the DO command resident to speed execution.
                In case of success, the command will be removed from
                the resident list before exiting.
          MODE F
                Expand files only.
          MODE D
                Expand directories only.

     EXAMPLES
          To display all the .pic file in the current directory in
          alphabetical order:

          For *.pic MODE S DO Display %%

          An Alias example to make MORE support wildcards:

          Alias MORE FOR [] DO MORE %%
 
     BUGS
          None known.

     SEE ALSO
          Alias






     Page 1
